#!/bin/sh -e
NAME="PHP 5.5.13"
VERSION=5.5
APP_BASE=/usr/local/AppCentral/php-${VERSION}

APACHE2_INIT_SCRIPT=/usr/builtin/etc/init.d/S54apache2

PHP_BUILTIN=/usr/builtin/lib/apache2/modules/libphp5.so
PHP_APP=/usr/local/AppCentral/php-${VERSION}/lib/apache2/modules/libphp5.so

case "$1" in
    start)
        echo "Starting $NAME"
		/bin/mv /usr/builtin/bin/php /usr/builtin/bin/php53
		/bin/ln -sf ${APP_BASE}/script/T50php /usr/local/etc/script/.
		/bin/ln -sf ${APP_BASE}/bin/php /usr/builtin/bin/php 

		/bin/sed -i -e "s?${PHP_BUILTIN}?${PHP_APP}?" /usr/builtin/etc/apache2/mods-available/php5.conf
		$APACHE2_INIT_SCRIPT restart
        ;;
    stop)
        echo "Stopping $NAME"
		/bin/mv /usr/builtin/bin/php53 /usr/builtin/bin/php
		/bin/rm /usr/local/etc/script/T50php

		/bin/sed -i -e "s?${PHP_APP}?${PHP_BUILTIN}?" /usr/builtin/etc/apache2/mods-available/php5.conf
		$APACHE2_INIT_SCRIPT restart
        ;;
    *)
        echo "Usage: $0 {start|stop}"
        exit 2
        ;;
esac

exit 0
